Bug 436969 - Ghostscript crashes on output generated by 'poster'
Ghostscript crashes on output generated by 'poster'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: poster (Show other bugs)
22
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-11 09:30 EDT by Egon Kastelijn
Modified: 2015-07-17 22:09 EDT (History)
7 users (show)

See Also:
Fixed In Version: poster-20060221-17.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-17 22:00:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The png file (145.06 KB, image/png)
2009-01-09 01:51 EST, Egon Kastelijn
no flags Details
original file (13.90 KB, application/postscript)
2009-07-03 09:09 EDT, Skippy
no flags Details
output file (15.04 KB, application/postscript)
2009-07-03 09:10 EDT, Skippy
no flags Details
Patch that fixes a gs crash (1.19 KB, patch)
2012-11-16 19:45 EST, Ingvar Hagelund
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 130332 None None None Never

  None (edit)
Description Egon Kastelijn 2008-03-11 09:30:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
When an image is resized using 'poster' and the result is opened with Ghostscript, then ghostscript crashes.



Version-Release number of selected component (if applicable):
netpbm-progs-10.35.32-2.fc8  poster-20060221-4.fc8  ghostscript-8.61-8.fc8

How reproducible:
Always


Steps to Reproduce:
1. Use pngtopnm to convert the image to pnm (pngtopnm babytux.png > babytux.pnm)
2. Use pnmtops to convert the image to postscript (pnmtops babytux.pnm > babytux.ps)
3. Use poster to resize the postscript image to A0 (poster -v -s2 babytux.ps > babytux_a0.ps)
4. Try to open the result with ghostscript (ghostscript babytux_a0.ps)

Actual Results:
Ghostscript crashes with the following output:

$ ghostscript babytux_a0.ps
GPL Ghostscript 8.61 (2007-11-21)
Copyright (C) 2007 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Loading NimbusSanL-Regu font from /usr/share/fonts/default/Type1/n019003l.pfb... 2828064 1117413 2173452 879196 1 done.
Error: /limitcheck in -file-
Operand stack:
   print_content_of_complete_page_0
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1889   1   3   %oparray_pop   1888   1   3   %oparray_pop   1872   1   3   %oparray_pop   1755   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push
Dictionary stack:
   --dict:1143/1684(ro)(G)--   --dict:0/20(G)--   --dict:87/200(L)--
Current allocation mode is local
Current file position is 77575
GPL Ghostscript 8.61: Unrecoverable error, exit code 1
$

Expected Results:
The file should be displayed, or a user-understandable error should be returned.

Additional info:
It can very well be the case that the 'poster' program does not produce a valid postscript file, but I am unable to determine if this is the case.
Comment 1 Tim Waugh 2008-03-12 06:17:39 EDT
See also: http://bugs.kde.org/show_bug.cgi?id=130332

Sending that output.ps file directly to an HP LaserJet 6MP produces no output,
so I think the PostScript is incorrect.

Changing component to poster.
Comment 3 Bug Zapper 2008-11-26 05:07:34 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:09:43 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Egon Kastelijn 2009-01-09 01:49:24 EST
The problem still exists in Fedora 10.
I am reopening the bug.
Comment 6 Egon Kastelijn 2009-01-09 01:51:30 EST
Created attachment 328525 [details]
The png file
Comment 7 Egon Kastelijn 2009-01-09 01:52:47 EST
When I open de result file with gsview, then I get this message:

GSview 4.8 2006-02-25
play_sound: not implemented
debug=0
GPL Ghostscript 8.63 (2008-08-01)
Copyright (C) 2008 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Displaying DSC file /home/egon/tmp/poster_test/babytux_a0.ps
Displaying page 1
WM_GSTEXTINDEX not implemented
Loading NimbusSanL-Regu font from /usr/share/fonts/default/Type1/n019003l.pfb... 2841044 1235422 13048296 11694232 2 done.
Error: /limitcheck in --%ztokenexec_continue--
Operand stack:
   print_content_of_complete_page_0
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   false   1   %stopped_push   1905   1   3   %oparray_pop   1904   1   3   %oparray_pop   1888   1   3   %oparray_pop   1771   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--
Dictionary stack:
   --dict:1149/1684(ro)(G)--   --dict:0/20(G)--   --dict:91/200(L)--
Current allocation mode is local

--- Begin offending input ---

--- End offending input ---
file offset = 632044
gsapi_run_string_continue returns -101
Comment 8 Skippy 2009-07-03 09:03:06 EDT
Any update on this ? I can't seem to produce any valid output with poster. Evince will display empty pages and ghostscript will display the same error as above.
Comment 9 Skippy 2009-07-03 09:09:29 EDT
Created attachment 350423 [details]
original file

Output of poster :

$ poster -v essai.ps > essaibis.ps
Using default media of A4
Defaulting poster size to media size of A4
Using default cutmargin of 0%
Using default whitemargin of 0
Deciding for 1 column and 1 row of portrait pages.
Deciding for a scale factor of 1
print page 1
Comment 10 Skippy 2009-07-03 09:10:17 EDT
Created attachment 350425 [details]
output file

$ poster -v essai.ps > essaibis.ps
Using default media of A4
Defaulting poster size to media size of A4
Using default cutmargin of 0%
Using default whitemargin of 0
Deciding for 1 column and 1 row of portrait pages.
Deciding for a scale factor of 1
print page 1
Comment 11 Bug Zapper 2009-11-18 05:10:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Egon Kastelijn 2009-11-19 09:55:28 EST
This problem still exists:

netpbm-10.47.04-1.fc11.i586
poster-20060221-6.fc11.i586
ghostscript-8.70-1.fc11.i586

kind regards,

   Egon
Comment 13 Bug Zapper 2010-04-27 07:56:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Egon Kastelijn 2010-04-29 17:03:31 EDT
This problem still exists in Fedora 12:

netpbm-progs-10.47.09-2.fc12.x86_64
ghostscript-8.71-6.fc12.x86_64
poster-20060221-7.fc12.x86_64
Comment 15 Bug Zapper 2010-11-04 08:00:53 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Egon Kastelijn 2010-11-06 02:06:57 EDT
This problem still exists in Fedora 14.

netpbm-10.47.17-1.fc14.x86_64
netpbm-progs-10.47.17-1.fc14.x86_64
ghostscript-8.71-16.fc14.x86_64

================

$ ghostscript babytux_a0.ps
GPL Ghostscript 8.71 (2010-02-10)
Copyright (C) 2010 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Can't find (or can't open) font file /usr/share/ghostscript/8.71/Resource/Font/NimbusSanL-Regu.
Can't find (or can't open) font file NimbusSanL-Regu.
Can't find (or can't open) font file /usr/share/ghostscript/8.71/Resource/Font/NimbusSanL-Regu.
Can't find (or can't open) font file NimbusSanL-Regu.
Querying operating system for font files...
Loading NimbusSanL-Regu font from /usr/share/fonts/default/Type1/n019003l.pfb... 3582792 1884724 7139132 5826710 1 done.
Error: /limitcheck in -file-
Operand stack:
   print_content_of_complete_page_0
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1878   1   3   %oparray_pop   1877   1   3   %oparray_pop   1861   1   3   %oparray_pop   1755   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push
Dictionary stack:
   --dict:1150/1684(ro)(G)--   --dict:0/20(G)--   --dict:87/200(L)--
Current allocation mode is local
Current file position is 631162
GPL Ghostscript 8.71: Unrecoverable error, exit code 1
Comment 17 Egon Kastelijn 2011-06-25 03:16:39 EDT
This problem still exists in Fedora 15

netpbm-progs-10.47.26-2.fc15.x86_64
netpbm-10.47.26-2.fc15.x86_64
ghostscript-9.02-1.fc15.x86_64
Comment 18 Fedora End Of Life 2012-08-07 16:14:44 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Egon Kastelijn 2012-08-09 14:00:48 EDT
I think I am going for the record for the longest open bug...
-> This problem still exists in Fedora 17
Comment 20 Ingvar Hagelund 2012-11-16 18:06:52 EST
I can confirm this on Fedora 18 as well. A ps file written with poster-20060221-10.fc18.x86_64 crashes gs. poster-20050907-1 (Ubuntu 10.04.4) called with the same input and options produces working ps code.

An absolute basic gs file may work, but trying something like a printout of a web page gives broken postscript. Also note the file position at the crash. At least, it's not at the start.

4 years on one bug. 4 more years?

Ingvar

$ rpm -q poster
poster-20060221-10.fc18.x86_64

$ poster -v -mA4 -pA3 webpage_printout.ps > poster.ps
Using default cutmargin of 5%
Using default whitemargin of 0
Deciding for 1 column and 2 rows of landscape pages.
Deciding for a scale factor of 1.23824
print page 1
print page 2
print page 3
print page 4
print page 5
print page 6
print page 7
print page 8
print page 9
print page 10
print page 11
print page 12

$ gs poster.ps
GPL Ghostscript 9.06 (2012-08-08)
Copyright (C) 2012 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Can't find (or can't open) font file /usr/share/ghostscript/9.06/Resource/Font/NimbusSanL-Regu.
Can't find (or can't open) font file NimbusSanL-Regu.
Can't find (or can't open) font file /usr/share/ghostscript/9.06/Resource/Font/NimbusSanL-Regu.
Can't find (or can't open) font file NimbusSanL-Regu.
Querying operating system for font files...
Loading NimbusSanL-Regu font from /usr/share/fonts/default/Type1/n019003l.pfb... 3569848 2204763 7136816 5696455 1 done.
Error: /syntaxerror in -file-
Operand stack:
   print_content_of_complete_page_0
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1894   1   3   %oparray_pop   1893   1   3   %oparray_pop   1877   1   3   %oparray_pop   1771   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push
Dictionary stack:
   --dict:1161/1684(ro)(G)--   --dict:0/20(G)--   --dict:94/200(L)--
Current allocation mode is local
Current file position is 74486
GPL Ghostscript 9.06: Unrecoverable error, exit code 1
Comment 21 Ingvar Hagelund 2012-11-16 19:45:59 EST
Created attachment 646658 [details]
Patch that fixes a gs crash

This patch reverts some "print_content_of_complete_page" thing introduced in version 20060221 that crashes gs on big files.
Comment 22 Ingvar Hagelund 2012-11-16 19:47:03 EST
Wonder if upstream version 20060221 ever worked anywhere.

Attached patch fixes this. Working specfile and f18 src and x86_64 rpms at http://users.linpro.no/ingvar/poster/f18/

Ingvar
Comment 23 Egon Kastelijn 2012-11-18 02:59:24 EST
Hi Ingvar,

I downloaded and tested your RPM.
-> It works fine, and fixes the problem!

Great work!
(where do I send my karma?) ;)

kind regards,

   Egon
Comment 24 Alex Cherepanov 2013-06-15 00:35:13 EDT
The PostScript from the comment #9 is incorrect.
It looks like the poster program encloses a PS programs into curly
braces and expects it to work as a procedure. Unfortunately, if the program
has inline data, it will fail.

poster should copy PS program to a %ram% device or an array of strings
and execute it from there.
Comment 25 Fedora End Of Life 2013-07-04 02:49:40 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 26 Egon Kastelijn 2013-07-11 14:44:40 EDT
I am afraid that the patch has not made it to an RPM yet.
This problem still exists under Fedora with the following RPMs:
ghostscript-9.07-3.fc19.x86_64
poster-20060221-11.fc19.x86_64

kind regards,

   Egon
Comment 27 Fedora End Of Life 2015-01-09 16:36:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 28 Ingvar Hagelund 2015-01-10 09:51:48 EST
This problem does still exist on Fedora 20 and Fedora 21. As the package has not changed in a few years, my patch does still work, though.

Ingvar
Comment 29 Rex Dieter 2015-01-10 10:21:14 EST
Any feedback on the provided patch?  If no objections, I'll apply it soon to fedora's packaging.
Comment 30 Ingvar Hagelund 2015-01-10 12:31:34 EST
Tested, and works for me on the simple ps files I've ran it on. Covers at least my needs.

Patch, updated spec and src.rpm here:

http://users.linpro.no/ingvar/poster/f21

Ingvar
Comment 31 Ingvar Hagelund 2015-06-30 08:43:42 EDT
This bug is still open, and may be reproduced on f22, as on most earlier fedoras. My patch still works for my needs.

Source rpm, x86_64 rpm, patch and specfile for f22 at http://users.linpro.no/ingvar/poster/f22

Ingvar
Comment 32 Rex Dieter 2015-06-30 08:55:56 EDT
I'll apply the supplied patch today, but may want to consider retiring poster... since it is dead upstream, see: https://bugs.kde.org/show_bug.cgi?id=130332#c7

"KDEPrint is obsolete, unmaintained and will never be revived."
Comment 33 Fedora Update System 2015-06-30 09:06:26 EDT
poster-20060221-17.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/poster-20060221-17.fc22
Comment 34 Fedora Update System 2015-06-30 09:07:21 EDT
poster-20060221-17.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/poster-20060221-17.fc21
Comment 35 Fedora Update System 2015-07-02 13:07:13 EDT
Package poster-20060221-17.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing poster-20060221-17.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11010/poster-20060221-17.fc22
then log in and leave karma (feedback).
Comment 36 Fedora Update System 2015-07-17 22:00:59 EDT
poster-20060221-17.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 37 Fedora Update System 2015-07-17 22:09:09 EDT
poster-20060221-17.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.